/*
	
nplay compile-time config

*/

#ifndef MPLAY_CNF_H
#define MPLAY_CNF_H

//#define DO_DEBUG
//#define AUDIO_DEBUG

//#define HACK_BGA

// 
#define FORCE_DIVX_HACK_CURRTIME

#define THREADED_AUDIO

//only useful for THREADED_AUDIO
#define USE_RTALLOC
#define NUM_AUDIO_BUFFERS 2
#define PRIO_AUDIO_DECODE 20
#define PRIO_VIDEO_DECODE 15

// the max slice we are snoozing
// (if we want more, just do it more than once)
// so if something happens while snoozing we don't wait 3 mins to see it
#define SNOOZE_SLICE 50000LL

// amount of time to seek if the time is not specified
#define SEEK_AMOUNT 5000000LL // 5 seconds


// those cant' be disabled anymore

#define USE_SUBVIEW
#define USE_DIRECT_WINDOW

//#define TRY_CONTIGUOUS
//#define FORCE_DIRECT_WIN
//#define FORCE_NO_OVERLAY


//############################
#ifdef DO_DEBUG
#define DEBUG printf
#else
#define DEBUG if (0) printf
#endif

#ifdef DO_DEBUG
#define DUMP_FORMAT(_format_) ({\
DEBUG("############ VIDEO FMT:\n pixel_width_aspect=%d\n pixel_height_aspect=%d\n", _format_->u.encoded_video.output.pixel_width_aspect, _format_->u.encoded_video.output.pixel_height_aspect); \
DEBUG(" interlace=%d\n orientation=%d\n", _format_->u.encoded_video.output.interlace, _format_->u.encoded_video.output.orientation); \
DEBUG(" color_space=%08lX\n bytes_per_row=%d\n", _format_->u.encoded_video.output.display.format, _format_->u.encoded_video.output.display.bytes_per_row); \
DEBUG(" pixel_offset=%d\n line_offset=%d\n", _format_->u.encoded_video.output.display.pixel_offset, _format_->u.encoded_video.output.display.line_offset); \
DEBUG(" line_width=%d\n line_count=%d\n", _format_->u.encoded_video.output.display.line_width, _format_->u.encoded_video.output.display.line_count); \
DEBUG(" last_active=%ld\n flags=%d\n", _format_->u.encoded_video.output.last_active, _format_->u.encoded_video.output.display.flags); })
#else
#define DUMP_FORMAT(_format_) ({})
#endif



#endif //MPLAY_CNF_H
