// from BGA on BeShare
// (thx)

#include <Application.h>
#include <GraphicsDefs.h>
#include <Bitmap.h>
#include <stdio.h>

typedef struct colorcombo
{
	color_space colspace;
	const char *name;
} colorcombo;

colorcombo colspace[]=
{
	{B_RGB32, "B_RGB32"},
	{B_RGBA32, "B_RGBA32"},
	{B_RGB24, "B_RGB24"},
	{B_RGB16, "B_RGB16"},
	{B_RGB15, "B_RGB15"},
	{B_RGBA15, "B_RGBA15"},
	{B_CMAP8, "B_CMAP8"},
	{B_GRAY8, "B_GRAY8"},
	{B_GRAY1, "B_GRAY1"},
	{B_RGB32_BIG, "B_RGB32_BIG"},
	{B_RGBA32_BIG , "B_RGBA32_BIG "},
	{B_RGB24_BIG , "B_RGB24_BIG "},
	{B_RGB16_BIG , "B_RGB16_BIG "},
	{B_RGB15_BIG , "B_RGB15_BIG "},
	{B_RGBA15_BIG , "B_RGBA15_BIG "},
	{B_RGB32_LITTLE, "B_RGB32_LITTLE"},
	{B_RGBA32_LITTLE, "B_RGBA32_LITTLE"},
	{B_RGB24_LITTLE, "B_RGB24_LITTLE"},
	{B_RGB16_LITTLE, "B_RGB16_LITTLE"},
	{B_RGB15_LITTLE, "B_RGB15_LITTLE"},
	{B_RGBA15_LITTLE, "B_RGBA15_LITTLE"},
	{B_YCbCr422, "B_YCbCr422"},
	{B_YCbCr411, "B_YCbCr411"},
	{B_YCbCr444, "B_YCbCr444"},
	{B_YCbCr420, "B_YCbCr420"},
	{B_YUV422, "B_YUV422"},
	{B_YUV411, "B_YUV411"},
	{B_YUV444, "B_YUV444"},
	{B_YUV420, "B_YUV420"},
	{B_YUV9, "B_YUV9"},
	{B_YUV12, "B_YUV12"},
	{B_UVL24, "B_UVL24"},
	{B_UVL32, "B_UVL32"},
	{B_UVLA32, "B_UVLA32"},
	{B_LAB24, "B_LAB24"},
	{B_LAB32, "B_LAB32"},
	{B_LABA32, "B_LABA32"},
	{B_HSI24, "B_HSI24"},
	{B_HSI32, "B_HSI32"},
	{B_HSIA32, "B_HSIA32"},
	{B_HSV24, "B_HSV24"},
	{B_HSV32, "B_HSV32"},
	{B_HSVA32, "B_HSVA32"},
	{B_HLS24, "B_HLS24"},
	{B_HLS32, "B_HLS32"},
	{B_HLSA32, "B_HLSA32"},
	{B_CMY24, "B_CMY24"},
	{B_CMY32, "B_CMY32"},
	{B_CMYA32, "B_CMYA32"},
	{B_CMYK32, "B_CMYK32"},
	{B_MONOCHROME_1_BIT, "B_MONOCHROME_1_BIT"},
	{B_GRAYSCALE_8_BIT, "B_GRAYSCALE_8_BIT"},
	{B_COLOR_8_BIT, "B_COLOR_8_BIT"},
	{B_RGB_32_BIT, "B_RGB_32_BIT"},
	{B_RGB_16_BIT, "B_RGB_16_BIT"},
	{B_BIG_RGB_32_BIT, "B_BIG_RGB_32_BIT"},
	{B_BIG_RGB_16_BIT, "B_BIG_RGB_16_BIT"},
	{B_NO_COLOR_SPACE,NULL}
};



int main()
{
	BApplication app("application/x-queryoverlay");
	for(int i=0;;i++)
	{
		if(colspace[i].name==NULL)
			break;
//		BBitmap *test=new BBitmap(BRect(0,0,320,240),
		BBitmap *test=new BBitmap(BRect(0,0,640,480),
			B_BITMAP_WILL_OVERLAY| B_BITMAP_RESERVE_OVERLAY_CHANNEL,
			colspace[i].colspace);
		if(test->InitCheck()==B_OK)
			printf("card supports %s (%08x) overlay\n",colspace[i].name,colspace[i].colspace);
		delete test;
	}
}
